Associated revisions
01/04/2013 06:34 pm - jams
LinHES-config: reintroduce the start of a revamped autocard.py.
This is not done, but it's close enought to commit.
In it's current state it will detect v4l, hdprv, hdhr, dvb cards and write out udev rules to create persistent dev nodes for each device.  However it will not 
change the kernel produced nodes.

Right now it's as simple as running "autocard.py"

refs #892

01/04/2013 06:40 pm - jams
supplemental-web:  Two major additions here.

1) introduce the static dev node mapping as produced by autocard.  Currently located under system->List static dev nodes for tuners.   This link will pull 
in mappings from the MBE and all SLAVE boxes.  The query will pull the data from the host each time it's requested, so the slave machines must be on 
to see the mapping.   The data is pulled over http from the slave box by calling cardlist.cgi, which will read in /etc/udev/mv-persisten-video.description.

2) Add the ability to upload and download system backup files from the MBE.  Also reworked the css to make it a tad prettier.

refs #893
refs #892

01/09/2013 02:40 pm - jams
LinHES-config:  autocard.py  Added the ability to insert cards into the database. Fixed a few bugs for dvb and hdhr

refs #892

01/09/2013 02:44 pm - jams
LinHES-system, runit-scripts, mythdb-initial:  autocard.py will run when mythbackend starts if /etc/udev/mv-persistent-video.description is not present.

LinHES-system: wait for autocard to finish before stopping the be

mythdb-initial:  add a dummy tuner, so that myth backend will start.  This get around the chicken/egg problem of needing tuners defined before MBE 
can start.  However to add tuners via the API mythbe must be started.

refs #892

History
01/04/2013 06:46 pm - jams
- Target version set to 8.0

- Category set to Installation/Upgrade
01/09/2013 02:54 pm - jams
- Status changed from In Progress to Closed

    There are 4 options:
    help :  This help screen
    print:  Will find and printout any detected capture cards, including network based tuners like the hdhomerun_config
    udev :  This option creates a set of static device nodes  for the local capture cards.
               Rules are based on pci/usb path  so moving the card into a different expansion slot will nullify the udev rule
               HDPVR devices use the serial number as the primary key for the udev rule_list

    insertdb :  This option will insert any detected cards into the MythTV database using the static device generated by udev.
                This option will also generate udev rules.  Tuners that are already defined will not be readded.

    all  :  The same as using  print udev insertdb

    EX:
        autocard.py  print
        autocard.py  insertdb
